
User Interface - Bug #2782

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

movie-ratings-dynamic.p has scroll bars but 4GL window hasn't

10/23/2015 01:18 PM - Sergey Ivanovskiy

Status: Closed Start date: 10/23/2015

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/23/2015 01:22 PM - Sergey Ivanovskiy

- File movie-ratings-dynamic.png added

The programs window has scroll bars but the progress 4GL window hasn't. Please look at the attached picture.

But running this program on windev01 produces several warnings about the position of the particular button outside of the frame:

**All or part of <widget id> is being placed outside of <parent widget id> by setting <attribute>. (5905)

The attribute is changing the physical size or position of the widget, and it no longer fits within the constr

aints of its parent.  This might happen when changing the x, y, width, height, or possibly the font. You shoul

d either make the frame larger or the widget smaller. 

#2 - 10/24/2015 09:35 AM - Greg Shah

- Assignee set to Eugenie Lyzenko

- Target version set to Milestone 12

#3 - 10/29/2015 03:50 PM - Eugenie Lyzenko

- File movie_ratings_dynamic_p2j_20151029.jpg added

The 2677a update 10983 resolves this issue. The screen attached.

#4 - 10/29/2015 06:26 PM - Greg Shah

- Status changed from New to Closed

- % Done changed from 0 to 100

#5 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
Files

movie-ratings-dynamic.png 46.3 KB 10/23/2015 Sergey Ivanovskiy

movie_ratings_dynamic_p2j_20151029.jpg 100 KB 10/29/2015 Eugenie Lyzenko
